<ng-container [ngSwitch]="renderMethod">

	<div [@fade] class="pet-tooltip-panel" *ngSwitchCase="'text'">
		<div class="p-1" [innerHTML]="modalRef.content"></div>
	</div>

	<ng-container *ngSwitchCase="'template'">
		<ng-container *ngTemplateOutlet="
      modalRef.data.animatorTpl === 'dropDown' ? dropDownAnimator
      : modalRef.data.animatorTpl === 'help' ? helpAnimator
			: noAnimator" >
		</ng-container> 
	</ng-container>
	
	<ng-container *ngSwitchCase="'component'">
    <ng-container *ngIf="componentContent">
      <ng-container *ngComponentOutlet="componentContent"></ng-container>
    </ng-container>
	</ng-container>
	
</ng-container>

<ng-template #dropDownAnimator>
	<div [@dropDown] id="dropdown" class="h-100 pet-glow-dark rounded"><ng-container *ngTemplateOutlet="templateContent; context: context"></ng-container></div>
</ng-template>

<ng-template #helpAnimator>
	<div [@scaleTR] id="help" class="h-100"><ng-container *ngTemplateOutlet="templateContent; context: context"></ng-container></div>
</ng-template>

<ng-template #noAnimator>
	<ng-container *ngTemplateOutlet="templateContent; context: context"></ng-container>
</ng-template>
